Subject: Re: [RFC] Limiting charge current on Droid 4 (and N900)

From: Pavel Machek <[email-masked]>
Date: Mon, 29 Jun 2020 23:49:00 +0200

Hi!

> > Droid 4 has same problem as N900: it is often neccessary to manually
> > tweak current draw from USB, for example when using thin charging cable.
> > 
> > N900 creates unique attribute by hand, but I believe
> > POWER_SUPPLY_PROP_INPUT_CURRENT_LIMIT looks suitable. (Should N900 be
> > converted?)
> > 
> > Comments? Would the patch be acceptable after fixing whitespace?
> 
> I'm not very knowledgeable on batteries - but the patch looks good to me.
> 
> Could you perhaps explain what exactly this fixes? I've seen some
> interesting behaviour when plugging a Droid 4 into a PC (or wall
> charger, really): the led blinks for a few seconds until it
> stabilises.

With this patch, we'll limit charging to 0.5A by default, unless
overrident by user. So you should not see green LED blinking, unless
you manually select bigger current than charger can handle.

> And then there's the issue where, once the battery is full, it will
> switch between charging and discharging every few seconds/minutes.

This will definitely not help with this one.

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel